6.0.0-git
2019-05-19

[#6958] IE/FCKeditor Compose Window JS Error
Summary IE/FCKeditor Compose Window JS Error
Queue DIMP
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester deco (at) juno (dot) com
Created 2008-06-19 (3986 days ago)
Due
Updated 2008-07-01 (3974 days ago)
Assigned 2008-06-30 (3975 days ago)
Resolved 2008-07-01 (3974 days ago)
Milestone
Patch No

History
2008-07-01 04:48:04 Michael Slusarz Comment #5
State ⇒ Resolved
Reply to this comment
Strange bug where running the fckeditor code through jsmin breaks IE 6 
only.  Make note to not run this individual file through jsmin when 
upgrading (http://wiki.horde.org/Doc/Dev/CopyrightLicense).
2008-06-30 19:48:31 Chuck Hagenbuch Comment #4
Assigned to Michael Slusarz
State ⇒ Assigned
Reply to this comment
Assigning to Michael as he's tracking this with fckeditor.
2008-06-23 22:56:13 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
After playing around with this for about 2 hours, I have determined 
that this is a (critical) bug in fckeditor; more specifically, 
ReplaceTextarea().  I don't see what you are seeing, but instead I see 
the fckeditor load, then the window blinks for a second, and then it 
*looks* like it is completely loaded.  Just 2 problems: 1.) all text 
that was previous in the textarea is gone and 2.) clicking on 
heading/font, or clicking anywhere in the textarea, outputs JS 
warnings.  Strangely enough - if I put an alert() in the middle of the 
fckeditor code, the delay it takes for me to close the alert box 
appears to be enough to allow the loading process to proceed 
correctly.  I see the textarea text correctly populated into the 
fckeditor window and i get no javascript errors when I click on 
various stuff.  So my guess is that something is trying to be placed 
in a DOM element too quickly on IE6 before that element is ready.



Can anyone else reproduce this?
2008-06-19 22:17:52 deco (at) juno (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ IE/FCKeditor Compose Window JS Error
Queue ⇒ DIMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Intermittently (50%ish) when compose link is clicked in IE6 (new 
window using FCKeditor) the editor displays three lines of buttons 
(all FCKeditor options) instead of the usual limited list; the text 
area is very small; and the following JS error is reported.



Line: 2

Char: 32686

Error: Invalid argument

Code: 0

URL: https://...blah.../horde/dimp/compose.php?type=new



The other 50ish% of the time the page loads/runs as expected. In 
Firefox the compose window works fine 100% of the time.

Saved Queries